Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class ImportOrderInRowsPopUp
    Inherits BaseObject
    Private _CRM_Opportunities As CRM_Opportunities

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <VisibleInDetailView(False)> _
    <VisibleInListView(False)> _
    <Browsable(False)> _
    <ImmediatePostData()> _
    Property CRM_Opportunities As CRM_Opportunities
        Get
            Return _CRM_Opportunities
        End Get
        Set(value As CRM_Opportunities)
            SetPropertyValue("CRM_Opportunities", _CRM_Opportunities, value)
        End Set
    End Property

    '--------------ReadOnly------------------------
    <ImmediatePostData()> _
    ReadOnly Property OrderInHeader As XPCollection(Of OrderInHeader)
        Get
            Return New XPCollection(Of OrderInHeader)(Session, Session.ParseCriteria("CRM_Opportunities=?", Me.CRM_Opportunities))
        End Get
    End Property
End Class
